Subject: bug#17407: obsolete-autoloads can clobber regular autoloads

From: Glenn Morris <[email-masked]>
Date: Mon, 05 May 2014 13:56:20 -0400

PS irrespective of obsolete-autoloads, it seems like a potential problem
that `make autoloads' might leave you with a loaddefs.el that is not
strictly up-to-date. If it scans rmail.el first and adds its entry to
loaddefs.el, then scans rmailsum.el and so modifies rmail.el, the
rmail.el entry in loaddefs.el will have an outdated timestamp. So if you
immediately run `make autoloads' again, loaddefs.el will change.

Perhaps if when scanning file B, file A gets modified, it should go back
and update the stored timestamp of file A, if previously scanned.